Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.objectstore
Class ObjectStoreType

    java.lang.Object
      com.arjuna.ats.arjuna.objectstore.ObjectStoreType

public class ObjectStoreType
extends java.lang.Object

The various types of object store implementations that are available.

Since:
  JTS 1.0.
Version:
  $Id: ObjectStoreType.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Field Summary
`static int` | `ACTION`
`static int` | `ACTIONLOG`
`static int` | `CACHED`
`static int` | `FRAGMENTED`
`static int` | `HASHED`
`static int` | `HASHED_ACTION`
`static int` | `JDBC`
`static int` | `JDBC_ACTION`
`static int` | `MAPPED`
`static int` | `NULL_ACTION`
`static int` | `REPLICATED`
`static int` | `SHADOWING`
`static int` | `SHADOWNOFILELOCK`
`static int` | `SINGLETYPEMAPPED`
`static int` | `USER_DEF_0`
`static int` | `USER_DEF_1`
`static int` | `USER_DEF_2`
`static int` | `USER_DEF_3`
`static int` | `USER_DEF_4`
`static int` | `USER_DEF_5`
`static int` | `USER_DEF_6`
`static int` | `USER_DEF_7`
`static int` | `USER_DEF_8`
`static int` | `USER_DEF_9`
`static int` | `VOLATILE`

Constructor Summary
`ObjectStoreType()`

Method Summary
`static int` | `classNameToType(ClassName c)`
`static void` | `print(java.io.PrintWriter strm, int rt)` Print on the specified `PrintWriter` a string representation of the object store value.
`static ClassName` | `typeToClassName(int rt)`
`static boolean` | `valid(int rt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION

    public static final int ACTION

See Also:
  Constant Field Values

### ACTIONLOG

    public static final int ACTIONLOG

See Also:
  Constant Field Values

### SHADOWING

    public static final int SHADOWING

See Also:
  Constant Field Values

### FRAGMENTED

    public static final int FRAGMENTED

See Also:
  Constant Field Values

### VOLATILE

    public static final int VOLATILE

See Also:
  Constant Field Values

### HASHED

    public static final int HASHED

See Also:
  Constant Field Values

### REPLICATED

    public static final int REPLICATED

See Also:
  Constant Field Values

### MAPPED

    public static final int MAPPED

See Also:
  Constant Field Values

### SINGLETYPEMAPPED

    public static final int SINGLETYPEMAPPED

See Also:
  Constant Field Values

### USER_DEF_0

    public static final int USER_DEF_0

See Also:
  Constant Field Values

### USER_DEF_1

    public static final int USER_DEF_1

See Also:
  Constant Field Values

### USER_DEF_2

    public static final int USER_DEF_2

See Also:
  Constant Field Values

### USER_DEF_3

    public static final int USER_DEF_3

See Also:
  Constant Field Values

### USER_DEF_4

    public static final int USER_DEF_4

See Also:
  Constant Field Values

### SHADOWNOFILELOCK

    public static final int SHADOWNOFILELOCK

See Also:
  Constant Field Values

### JDBC

    public static final int JDBC

See Also:
  Constant Field Values

### JDBC_ACTION

    public static final int JDBC_ACTION

See Also:
  Constant Field Values

### HASHED_ACTION

    public static final int HASHED_ACTION

See Also:
  Constant Field Values

### CACHED

    public static final int CACHED

See Also:
  Constant Field Values

### NULL_ACTION

    public static final int NULL_ACTION

See Also:
  Constant Field Values

### USER_DEF_5

    public static final int USER_DEF_5

See Also:
  Constant Field Values

### USER_DEF_6

    public static final int USER_DEF_6

See Also:
  Constant Field Values

### USER_DEF_7

    public static final int USER_DEF_7

See Also:
  Constant Field Values

### USER_DEF_8

    public static final int USER_DEF_8

See Also:
  Constant Field Values

### USER_DEF_9

    public static final int USER_DEF_9

See Also:
  Constant Field Values

Constructor Detail

### ObjectStoreType

    public ObjectStoreType()

Method Detail

### typeToClassName

    public static final ClassName typeToClassName(int rt)

  Returns:
    the `ClassName` for this object store value.
  See Also:
    `ClassName`

### classNameToType

    public static final int classNameToType(ClassName c)

  Returns:
    the `int` value for this object store. `ClassName`.
  See Also:
    `ClassName`

### print

    public static final void print(java.io.PrintWriter strm,
                                   int rt)

  Print on the specified `PrintWriter` a string representation of the object store value.

### valid

    public static final boolean valid(int rt)

  Returns:
    `true` if the value is valid, `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD